Skip to main content
POST
/
calls
/
{call_control_id}
/
actions
/
suppression_start
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const response = await client.calls.actions.startNoiseSuppression('call_control_id');

console.log(response.data);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.calls.actions.start_noise_suppression(
call_control_id="call_control_id",
)
print(response.data)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Calls.Actions.StartNoiseSuppression(
context.TODO(),
"call_control_id",
telnyx.CallActionStartNoiseSuppressionParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.calls.actions.ActionStartNoiseSuppressionParams;
import com.telnyx.sdk.models.calls.actions.ActionStartNoiseSuppressionResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

ActionStartNoiseSuppressionResponse response = client.calls().actions().startNoiseSuppression("call_control_id");
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

response = telnyx.calls.actions.start_noise_suppression("call_control_id")

puts(response)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$response = $client->calls->actions->startNoiseSuppression(
'call_control_id',
clientState: 'aGF2ZSBhIG5pY2UgZGF5ID1d',
commandID: '891510ac-f3e4-11e8-af5b-de00688a4901',
direction: 'both',
noiseSuppressionEngine: 'DeepFilterNet',
noiseSuppressionEngineConfig: [
'attenuationLimit' => 100,
'enhancementLevel' => 0.5,
'family' => 'sparrow',
'mode' => 'standard',
'model' => 'krisp-viva-tel-v2.kef',
'size' => 'l',
'suppressionLevel' => 50,
'voiceGain' => 1,
],
);

var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx calls:actions start-noise-suppression \
--api-key 'My API Key' \
--call-control-id call_control_id
curl --request POST \
--url https://api.telnyx.com/v2/calls/{call_control_id}/actions/suppression_start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client_state": "aGF2ZSBhIG5pY2UgZGF5ID1d",
"command_id": "891510ac-f3e4-11e8-af5b-de00688a4901",
"direction": "both",
"noise_suppression_engine": "DeepFilterNet",
"noise_suppression_engine_config": {
"attenuation_limit": 100
}
}
'
{
  "data": {
    "result": "ok"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

call_control_id
string
required

Unique identifier and token for controlling the call

Body

application/json

Start noise suppression request

client_state
string

Use this field to add state to every subsequent webhook. It must be a valid Base-64 encoded string.

Example:

"aGF2ZSBhIG5pY2UgZGF5ID1d"

command_id
string

Use this field to avoid duplicate commands. Telnyx will ignore any command with the same command_id for the same call_control_id.

Example:

"891510ac-f3e4-11e8-af5b-de00688a4901"

direction
enum<string>
default:inbound

The direction of the audio stream to be noise suppressed.

Available options:
inbound,
outbound,
both
Example:

"outbound"

noise_suppression_engine
enum<string>
default:Denoiser

The engine to use for noise suppression. For backward compatibility, engines A, B, C, and D are also supported, but are deprecated: A - Denoiser B - DeepFilterNet C - Krisp D - AiCoustics

Available options:
Denoiser,
DeepFilterNet,
Krisp,
AiCoustics,
aic_l_quail,
aic_l_rook,
aic_s_quail,
aic_s_rook,
quail_voice_focus_s,
quail_voice_focus_xs
Example:

"Denoiser"

noise_suppression_engine_config
Noise Suppression Engine Configuration · object

Configuration parameters for noise suppression engines. Different engines support different parameters.

Response

Successful response upon making a call control command.

data
Call Control Command Result · object
Example:
{ "result": "ok" }